Bug 589798 - [abrt] crash in ModemManager-0.3-9.git20100409.fc12: port_buffer_full: Process /usr/sbin/modem-manager was killed by signal 11 (SIGSEGV)
[abrt] crash in ModemManager-0.3-9.git20100409.fc12: port_buffer_full: Proces...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
abrt_hash:884d3c5e39476d4d4ab1ace70c7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 17:47 EDT by Chris
Modified: 2010-06-10 15:22 EDT (History)
1 user (show)

See Also:
Fixed In Version: ModemManager-0.3-13.git20100507.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-10 15:08:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.51 KB, text/plain)
2010-05-06 17:47 EDT, Chris
no flags Details

  None (edit)
Description Chris 2010-05-06 17:47:48 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: modem-manager --debug
comment: I was following the steps in Bug #548066 so I could add my output from the debug to it.  I may have a different problem though so I'm not sure if this should be the part of another bug.  About a month ago on this hardware I couldn't get the ATT USB device to work, but I could get the AT&T Sierra AirCard 875 to work with no issues.  Both are on the same plan.  The system has been rebuilt from baremetal since.  I have run yum update today also.  I can not get either to work now.  I have been getting the fault included here and another. I will add the debugs that I did get from both devices and the ABRT output for the other fault.
component: ModemManager
crash_function: port_buffer_full
executable: /usr/sbin/modem-manager
global_uuid: 884d3c5e39476d4d4ab1ace70c796ceaa91418d5
kernel: 2.6.32.11-99.fc12.x86_64
package: ModemManager-0.3-9.git20100409.fc12
rating: 4
reason: Process /usr/sbin/modem-manager was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.insert AT&T Options Quicksilver USB device
2.Stop NetworkManager and modem-manager
3.run modem-manager --debug
Comment 1 Chris 2010-05-06 17:47:50 EDT
Created attachment 412180 [details]
File: backtrace
Comment 2 Chris 2010-05-06 17:53:34 EDT
From ABRT:

Package:    	kernel
Latest Crash:	Thu 06 May 2010 05:33:28 PM 
Command:    	not_applicable
Reason:     	BUG: sleeping function called from invalid context at kernel/mutex.c:94
Comment:    	None
Bug Reports:	




Debug from Sierra device:

# modem-manager --debug
** Message: Loaded plugin Sierra
** Message: Loaded plugin Nokia
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Generic
** Message: Loaded plugin Huawei
** Message: Loaded plugin AnyData
** Message: Loaded plugin Novatel
** Message: Loaded plugin ZTE
** Message: Loaded plugin Gobi
** Message: Loaded plugin MotoC
** Message: Loaded plugin Option
** Message: Loaded plugin Ericsson MBM
** (modem-manager:2687): DEBUG: (tty/ttyS0): could not get port's parent device
** (modem-manager:2687): DEBUG: (tty/ttyS1): could not get port's parent device
** (modem-manager:2687): DEBUG: (tty/ttyS2): could not get port's parent device
** (modem-manager:2687): DEBUG: (tty/ttyS3): could not get port's parent device
** (modem-manager:2687): DEBUG: (net/vmnet1): could not get port's parent device
** (modem-manager:2687): DEBUG: (net/vmnet8): could not get port's parent device
** Message: (ttyUSB0) opening serial device...
** (modem-manager:2687): DEBUG: (ttyUSB0): probe requested by plugin 'Sierra'
** Message: (ttyUSB1) opening serial device...
** (modem-manager:2687): DEBUG: (ttyUSB1): probe requested by plugin 'Sierra'
** Message: (ttyUSB2) opening serial device...
** (modem-manager:2687): DEBUG: (ttyUSB2): probe requested by plugin 'Sierra'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+GCAP<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>+GCAP: +CGSM,+FCLASS,+DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB2): <-- '<CR><LF>OK<CR><LF>'
** Message: (ttyUSB0) closing serial device...
** Message: (ttyUSB0) opening serial device...
** Message: (Sierra): GSM modem /sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb9/9-1 claimed port ttyUSB0
** (modem-manager:2687): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb9/9-1
** (modem-manager:2687): DEBUG: (tty/ttyUSB0): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb9/9-1
** (modem-manager:2687): DEBUG: (tty/ttyUSB1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb9/9-1
** (modem-manager:2687): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB2): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CPIN?<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB2): --> 'AT+GCAP<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB2): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>+CPIN: READY<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyUSB0) closing serial device...
** (modem-manager:2687): DEBUG: (tty/ttyUSB1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb9/9-1
** (modem-manager:2687): DEBUG: (ttyUSB2): --> 'ATI<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB2): <-- 'Sierra Wireless, Inc.<LF><CR>AC875<LF><CR>APP1<LF><CR><LF>OK<CR><LF>'
** Message: (ttyUSB2) closing serial device...
** Message: (Sierra): GSM modem /sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb9/9-1 claimed port ttyUSB2
** (modem-manager:2687): DEBUG: (tty/ttyUSB1): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb9/9-1
** (modem-manager:2687): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB1): --> 'AT+GCAP<CR>'
** Message: (ttyUSB1) closing serial device...
** Message: (ttyUSB1) opening serial device...
** (modem-manager:2687): DEBUG: (ttyUSB1): --> 00 78 f0 7e
** (modem-manager:2687): DEBUG: (ttyUSB1): --> 00 78 f0 7e
** Message: (ttyUSB1) closing serial device...
** (modem-manager:2687): DEBUG: (tty/ttyUSB1): ignoring port unsupported by physical modem's plugin
** (modem-manager:2687): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb9/9-1 as /org/freedesktop/ModemManager/Modems/0
** Message: (ttyUSB0) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'ATZ E0 V1<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'ATE0<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CMEE=1<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'ATX4 &C1<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CFUN=1<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** Message: (ttyUSB2) opening serial device...
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+IFC=1,1<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+GMI<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>Sierra Wireless, Inc.<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+GMM<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>AC875<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+GMR<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>H1_0_0_6ACAP G:/WS/FW/H1_0_0_6ACAP/MSM6280/SRC 2006/10/12 11:29:22<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CGMI<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>Sierra Wireless, Inc.<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CGMM<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>AC875<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CGMR<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>H1_0_0_6ACAP G:/WS/FW/H1_0_0_6ACAP/MSM6280/SRC 2006/10/12 11:29:22<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT!SELRAT?<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>!SELRAT: 00, Automatic<CR><LF><CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CSCS=?<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>+CSCS: ("IRA","GSM","UCS2")<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CSCS="UCS2"<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CSCS?<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>+CSCS: "UCS2"<CR><LF><CR><LF>OK<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> enabled)
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CREG=2<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CSQ<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>+CSQ: 12,99<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CREG?<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>+CREG: 2,1,177D,7923<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: Registration state changed: 1
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabled -> registered)
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CGREG=2<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+COPS=3,2;+COPS?<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>+COPS: 0,2,"310410",0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+COPS=3,0;+COPS?<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>+COPS: 0,0,"Cingular",0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CSQ<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>+CSQ: 12,99<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT*CNTI=0<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>*CNTI: 0,EDGE<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CGREG?<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>+CGREG: 2,0<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CREG?<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>+CREG: 2,1,177D,7923<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'AT+CGDCONT?<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>+CGDCONT: 1,"IP","ISP.CINGULAR","",0,0<CR><LF>+CGDCONT: 2,"IP","ISP.CINGULAR","",0,0<CR><LF>+CGDCONT: 16,"IP","WAP.CINGULAR","",0,0<CR><LF><CR><LF>OK<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (registered -> connecting)
** (modem-manager:2687): DEBUG: (ttyUSB0): --> 'ATD*99***16#<CR>'
** (modem-manager:2687): DEBUG: (ttyUSB0): <-- '<CR><LF>CONNECT<CR><LF>'
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connecting -> connected)
** (modem-manager:2687): DEBUG: (net/ppp0): could not get port's parent device
** Message: (ttyUSB0) closing serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disconnecting)
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disconnecting -> connected)
** Message: Caught signal 15, shutting down...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disconnecting)
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disconnecting -> connected)

** (modem-manager:2687): WARNING **: disable_disconnect_done: (/sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb9/9-1): error disconnecting the modem while disabling: (0) get_speed: tcgetattr() error 9

** (modem-manager:2687): WARNING **: (mm-generic-gsm.c:1031):disable: runtime check failed: (priv->cid == -1)
** Message: (ttyUSB2) closing serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (connected -> disabling)
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabling -> disabled)
** (modem-manager:2687): DEBUG: Removed modem /sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0000:16:00.0/usb9/9-1
Comment 3 Chris 2010-05-06 18:05:27 EDT
I can't get the the debug from the Options device, even after rebooting.  It dumps every time.  I thought I was able to get it before I opened this ticket, but I have no record.  Sorry.

BTW I double checked that both devices do function in a Windows XP system.
Comment 4 Dan Williams 2010-05-06 19:08:00 EDT
You know what...  I found and fixed this exact bug upstream yesterday:

commit 246817fe546490df8e6f5e4e85cc93e01927bda4
Author: Dan Williams <dcbw@redhat.com>
Date:   Wed May 5 15:49:33 2010 -0700

    serial: fix possible segfault handing port-full signals
    
    The argument passed to the handler is a GByteArray, not a
    GString.  Encountered with Option iCON Icera-based devices,
    but could also be possible with Sierra devices.

It should show up as an update very soon.
Comment 5 Chris 2010-05-07 09:50:56 EDT
Thanks for the quick response!

How soon?  Can I get my hands on the beta/source today?  

I'll need wireless this weekend and I'd rather carry my laptop instead of the "loaner" XP system.


I finally got the debug from the USB device:

# modem-manager --debug
** Message: Loaded plugin Sierra
** Message: Loaded plugin Nokia
** Message: Loaded plugin Longcheer
** Message: Loaded plugin Option High-Speed
** Message: Loaded plugin Generic
** Message: Loaded plugin Huawei
** Message: Loaded plugin AnyData
** Message: Loaded plugin Novatel
** Message: Loaded plugin ZTE
** Message: Loaded plugin Gobi
** Message: Loaded plugin MotoC
** Message: Loaded plugin Option
** Message: Loaded plugin Ericsson MBM
** (modem-manager:2770): DEBUG: (tty/ttyS0): could not get port's parent device
** (modem-manager:2770): DEBUG: (tty/ttyS1): could not get port's parent device
** (modem-manager:2770): DEBUG: (tty/ttyS2): could not get port's parent device
** (modem-manager:2770): DEBUG: (tty/ttyS3): could not get port's parent device
** (modem-manager:2770): DEBUG: (net/vmnet1): could not get port's parent device
** (modem-manager:2770): DEBUG: (net/vmnet8): could not get port's parent device
** Message: (ttyHS0) opening serial device...
** (modem-manager:2770): DEBUG: (ttyHS0): probe requested by plugin 'Option High-Speed'
** Message: (ttyHS1) opening serial device...
** (modem-manager:2770): DEBUG: (ttyHS1): probe requested by plugin 'Option High-Speed'
** Message: (ttyHS2) opening serial device...
** (modem-manager:2770): DEBUG: (ttyHS2): probe requested by plugin 'Option High-Speed'
** Message: (ttyHS4) opening serial device...
** (modem-manager:2770): DEBUG: (ttyHS4): probe requested by plugin 'Option High-Speed'
** (modem-manager:2770): DEBUG: (ttyHS4): <-- '\127\-128\127\-128)\-117\0\0\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128\-20\-117\0\0\4\0\16\0\0\0\0\0\127\-128\127\-128\-36Pu\0\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128j\-128\-22\0\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128j\-80_\1\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128j\-32\-44\1\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128\-63\16J\2\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128<LF>\30\-121\2\4\0Y\0\-93#\0\0\127\-128\127\-128\2N\-65\2\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128\-77\-75\-63\2\4\0Y\0\-84\2\0\0\127\-128\127\-128\-127O\-4\2\4\0Y\0\-112\2\0\0\127\-128\127\-128\-63|4\3\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128n\-306\3\4\0Y\0.\7\0\0\127\-128\127\-128\-74zq\3\4\0Y\0\23\2\0\0\127\-128\127\-128\-36\-84\-87\3\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128\-52\17\-84\3\4\0Y\0d\2\0\0\127\-128\127\-128\-43\-87\-26\3\4\0Y\0a\8\0\0'
** (modem-manager:2770): DEBUG: (ttyHS2): <-- '\127\-128\127\-128\-5\-2\2\0\31\0\9\-128$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128\-94\0\3\0\4\0\16\-128\0\0\0\0\127\-128\127\-128\-88\-87w\0\31\0\9\-128$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128n\-35\-20\0\31\0\9\-128$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128\21\9b\1\31\0\9\-128$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128\8=\-41\1\31\0\9\-128$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128\-98\-13&\2\-12\0\15\-128\3\0\0\0\2\2\0\0\-1\-1\0\0\0\0\0\0\0\0\0\0\19\1\0\0\-88\3\0\0\9\0\0\0|\0\0\0\-102\3\0\0\0\0\0\0\0\0\0\2\0\0\0\7\0\0\0\7\0\0\0\21\0\0\0\26\0\0\01\0\0\0H\0\0\0X\0\0\0\0\0\0\0\1\0\0\0\7\0\0\0\8\0\0\0\27\0\0\0$\0\0\0%\0\0\0'\0\0\03\0\0\05\0\0\06\0\0\08\0\0\0>\0\0\0E\0\0\0E\0\0\0E\0\0\0I\0\0\0U\0\0\0W\0\0\0W\0\0\0W\0\0\0X\0\0\0[\0\0\0h\0\0\0v\0\0\0v\0\0\0\-128\0\0\0\-124\0\0\0\-121\0\0\0\-94\0\0\0\-84\0\0\0\-82\0\0\0\-80\0\0\0\-75\0\0\0\-74\0\0\0\-73\0\0\0\-69\0\0\0\-67\0\0\0\-65\0\0\0\-64\0\0\0\-61\0\0\0\-46\0\0\0\-45\0\0\0\-45\0\0\0\-45\0\0\0\-45\0\0\0\-45\0\0\0\-45\0\0\0\-45\0\0\0\-36\0\0\0\-30\0\0\0\-27\0\0\0\-26\0\0\0\-26\0\0\0\-21\0\0\0\-19\0\0\0\-16\0\0\0\-13\0\0\0\-12\0\0\0\-10\0\0\0\-8\0\0\0\-7\0\0\0\-4\0\0\0\-3\0\0\0\-3\0\0\0\-3\0\0\0\-2\0\0\1\0\0\0\1\1\0\0\1\4\0\0\1\7\0\0\1\8\0\0\1<LF>\0\0\1\15\0\0\1\19\0\0\1\23\0\0\1\24\0\0\1\26\0\0\1 \0\0\1!\0\0\1'\0\0\1(\0\0\1)\0\0\1+\0\0\1,\0\0\1-\0\0\1-\0\0\1-\0\0\1.\0\0\10\0\0\13\0\0\1:\0\0\1@\0\0\1B\0\0\1F\0\0\1P\0\0\1Z\0\0\1[\0\0\1f\0\0\1i\0\0\1i\0\0\1l\0\0\1m\0\0\1r\0\0\1y\0\0\1y\0\0\1y\0\0\1y\0\0\1y\0\0\1y\0\0\1{\0\0\1{\0\0\1{\0\0\1{\0\0\1{\0\0\1{\0\0\1{\0\0\1{\0\0\1{\0\0\1{\0\0\1{\0\0\1{\0\0\1{\0\0\1\-127\0\0 \2\14\0@\0\-33\-1\-1\-1\-1\-1\-1\-7\-9\-13\7\-1\-1\-1\-1\-1\-1\-1\-1\0\0\0\0\0\0\0\0\0\0\0\0\-1\-1\-1\-1\-1\-1?@\1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\-1\-1\-1\-1\-49\318\-1\-1\-1\31\-1\-1\-1\-17\-1\-65\-1\-1\-1\-1?\0\6\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\-1\-1\-33_\-1\-1\1\-1\-1\-1\-1\-1\-1\-1\-1\-1\-1\-1\-1\7\-8\-1\-1\-1\-1\-1\-1\-1\-1\-1\-1\-1\31\0\0\0\0\0\0\0\0\0\0\0\-1?\-1\1\-1\-1\-1\-1\7\31\0\-1\-49\0\3\0\02\0\14\0\0\0\-1\-8\-1\-1\-1\127\-2\-4\-1o\-49\-1?\24\0\0\0\0\0\0\0\0\0\0\0\-1\-1\-1\-1\-2{\-1\-1\31\0\-1\-1\7\-2\3\-32\3\-1\-29\1\-1\-1\127\0\-1\-1\0\0?\-1\-1\0\20\31\0\0\0\-1\-1\1\0\0\0\0\-1\7\0~\0\-64\3\-24\-1\28\0\-1\-1\-1\4\31\-1\1\-1\-1\-1\-1\-57\31\31\-1\-1\-1\-65\-1\7\127\31\-1\1\0\127\0\-1\7\0\0\0\-1\-1\-1\-1\-1\-1\0\-1\-1\-1\-1\-1\127\-1\-1\0\0\0\0\-1\-1\-1\-1\-1\-1\-1\-1\-29?\-1\-1\-1\-1\-1\7\-8\-1\-1\15\0\-1\-1?\-1\-1\-1\-1\-1\-1\-1\1\-1\-1\31\0\0\0\0\0\0\0\0\0\-1\-1\-1?\16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\127\-128\127\-128P\8'\2#\0\15\-64\1\0\0\0\2\2\0\0\-1\-1\0\0\0\0\0\0\0\0\0\0\17\1\0\0b\0\0\0TTI: Static Filter generated by Genie on 13:16:53 22/11/07 using the genie.gni test configuration\0\-70\-35\127\-128\127\-1284\-88'\2\11\0\15\-64\3\0\0\0 \5\0\0\31\5\0\0\0\0\0\0\0\0\0\0\30\4\6\0\2\0\0\0\-128\0\-70\-35\127\-128\127\-128\-69>(\2\12\0\15\-64\3\0\0\0=\5\0\0<LF>\4\0\0\0\0\0\0\0\0\0\0\1<LF>\8\0\6\0\0\0=\5\0\0,-\-70\-35\127\-128\127\-128\24\-75-\2\12\0\15\-64\3\0\0\01\5\0\0<LF>\4\0\0\0\0\0\0\4\1\0\0\1<LF>\8\0\6\0\0\01\5\1\16\4-\-70\-35\127\-128\127\-128B\-57-\2\12\0\15\-64\3\0\0\0<LF>\4\0\0<LF>\4\0\0\0\0\0\0\4\1\0\0\1<LF>\8\0\6\0\0\0=\5\0\0,-\-70\-35\127\-128\127\-128p\-52-\2\-102\2\15\-128\3\0\0\0<LF>\4\0\0=\5\0\0\0\0\0\0\4\1\0\0\2<LF>\8\0@<LF>\0\0\0\0,-\1\1\0\0\3\3\1\0\1\1\0\2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0'
** (modem-manager:2770): DEBUG: (ttyHS2): <-- '\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0'
** Message: (ttyHS2) closing serial device...

(modem-manager:2770): GLib-CRITICAL **: g_io_channel_read_chars: assertion `channel->is_readable' failed
** (modem-manager:2770): DEBUG: (ttyHS4): <-- '\127\-128\127\-128\-63\-36\30\4\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.'
** Message: (Option High-Speed): GSM modem /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1 claimed port hso0
** (modem-manager:2770): DEBUG: Added modem /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1
** (modem-manager:2770): DEBUG: (tty/ttyHS3): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1
** (modem-manager:2770): DEBUG: (tty/ttyHS3): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1
** Message: (ttyHS3) opening serial device...
** (modem-manager:2770): DEBUG: (ttyHS3): probe requested by plugin 'Option High-Speed'
** (modem-manager:2770): DEBUG: (ttyHS4): <-- '\127\-128\127\-128DB!\4\4\0Y\0>\3\0\0\127\-128\127\-128\-40\-39[\4\4\0Y\0\-46\1\0\0\127\-128\127\-128\-105\12\-108\4\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.'
** (modem-manager:2770): DEBUG: (ttyHS0): --> 'AT+GCAP<CR>'
** (modem-manager:2770): DEBUG: (ttyHS0): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM,+FCLASS,+DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2770): DEBUG: (ttyHS4): <-- '\127\-128\127\-128Ar\-106\4\4\0Y\0.\2\0\0\127\-128\127\-128\-40\9\-47\4\4\0Y\0\-18\1\0\0\127\-128\127\-128\-72<\9\5\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128\-61\-95\11\5\4\0Y\0\-76\4\0\0\127\-128\127\-128\-499F\5\4\0Y\0z\1\0\0'
** (modem-manager:2770): DEBUG: (ttyHS1): --> 'AT+GCAP<CR>'
** (modem-manager:2770): DEBUG: (ttyHS4): --> 'AT+GCAP<CR>'
** (modem-manager:2770): DEBUG: (ttyHS3): --> 'AT+GCAP<CR>'
** (modem-manager:2770): DEBUG: (ttyHS1): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM,+FCLASS,+DS<CR><LF><CR><LF>OK<CR><LF>'
** (modem-manager:2770): DEBUG: (ttyHS4): <-- '\127\-128\127\-128\-99l~\5\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128\-58\-47\-128\5\4\0Y\0\-69\1\0\0\127\-128\127\-128\-43i\-69\5\4\0Y\0{\1\0\0\127\-128\127\-128\-10\-99\-13\5\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128N\7\-10\5\4\0Y\0U\3\0\0\127\-128\127\-128\-52\-1000\6\4\0Y\0\-6\2\0\0\127\-128\127\-128*\-51h\6\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128H4k\6\4\0Y\0j\2\0\0\127\-128\127\-128a\-53\-91\6\4\0Y\0\-59\2\0\0\127\-128\127\-128f\-3\-35\6\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128pc\-32\6\4\0Y\0:\2\0\0\127\-128\127\-1287\-5\26\7\4\0Y\0\-106\2\0\0\127\-128\127\-128\23.S\7\31\0\9\0$Id: //software/releases/cust/option/faema_mr_1_0.br/os_abs/public/os_logids.h#1 $, CL3817 with 0 local changes.\127\-128\127\-128f\-108U\7\4\0Y\0q\2\0\0'
** Message: (ttyHS4) closing serial device...
** (modem-manager:2770): DEBUG: (ttyHS3): <-- 'AT+GCAP<CR><CR><LF>+GCAP: +CGSM,+FCLASS,+DS<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyHS0) closing serial device...
** (modem-manager:2770): DEBUG: (tty/ttyHS4): ignoring port unsupported by physical modem's plugin
** (modem-manager:2770): DEBUG: (tty/ttyHS3): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1
** Message: (ttyHS0) opening serial device...
** Message: (Option High-Speed): GSM modem /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1 claimed port ttyHS0
** (modem-manager:2770): DEBUG: (tty/ttyHS3): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1
** Message: (ttyHS1) closing serial device...
** Message: (ttyHS3) closing serial device...
** (modem-manager:2770): DEBUG: (ttyHS0): --> 'AT+CPIN?<CR>'
** Message: (Option High-Speed): GSM modem /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1 claimed port ttyHS1
** (modem-manager:2770): DEBUG: (tty/ttyHS3): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1
** Message: (Option High-Speed): GSM modem /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1 claimed port ttyHS3
** (modem-manager:2770): DEBUG: (ttyHS0): <-- 'AT+CPI'
** (modem-manager:2770): DEBUG: (ttyHS0): <-- 'N?<CR><CR><LF>+CPIN: READY<CR><LF><CR><LF>OK<CR><LF>'
** Message: (ttyHS0) closing serial device...
** (modem-manager:2770): DEBUG: Exported modem /sys/devices/pci0000:00/0000:00:1a.7/usb1/1-1 as /org/freedesktop/ModemManager/Modems/0
** Message: (ttyHS0) opening serial device...
** Message: Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
** (modem-manager:2770): DEBUG: (ttyHS0): <-- '<CR><LF>+PACSP0<CR><LF><CR><LF>+PACSP0<CR><LF>'
** (modem-manager:2770): DEBUG: (ttyHS0): --> 'ATZ E0 V1<CR>'
** (modem-manager:2770): DEBUG: (ttyHS0): <-- 'ATZ E0'
** (modem-manager:2770): DEBUG: (ttyHS0): <-- ' V1'
** (modem-manager:2770): DEBUG: (ttyHS0): <-- '<CR><CR><LF>OK<CR><LF>'
** (modem-manager:2770): DEBUG: (ttyHS0): --> 'ATE0<CR>'
** (modem-manager:2770): DEBUG: (ttyHS0): <-- 'ATE'






Thanks again.
Comment 6 Fedora Update System 2010-05-07 17:22:22 EDT
ModemManager-0.3-13.git20100507.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ModemManager-0.3-13.git20100507.fc13
Comment 7 Fedora Update System 2010-05-07 17:22:38 EDT
ModemManager-0.3-13.git20100507.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ModemManager-0.3-13.git20100507.fc12
Comment 8 Fedora Update System 2010-05-08 12:09:50 EDT
ModemManager-0.3-13.git20100507.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ModemManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ModemManager-0.3-13.git20100507.fc13
Comment 9 Chris 2010-05-10 09:33:57 EDT
The updated modemmanager has not helped.  Perhaps this is a different issue.  What other info do you need?

Thanks for the continued help.
Comment 10 Fedora Update System 2010-05-10 13:07:58 EDT
ModemManager-0.3-13.git20100507.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ModemManager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/ModemManager-0.3-13.git20100507.fc12
Comment 11 Chris 2010-05-11 16:08:08 EDT
Since ModemManager-0.3-13.git20100507.fc13 didn't help I tried a clean reinstall with .fc12


Yum remove ModemManager did this...

Removing:
 ModemManager
Removing for dependencies:
 NetworkManager
 NetworkManager-gnome
 NetworkManager-openconnect
 NetworkManager-openvpn
 NetworkManager-pptp
 NetworkManager-vpnc


I now have this...

# rpm -qa | grep -i modemmanager
ModemManager-0.3-13.git20100507.fc12.x86_64

# rpm -qa | grep -i networkmanager
NetworkManager-openconnect-0.7.996-4.git20090921.fc12.x86_64
NetworkManager-vpnc-0.7.996-4.git20090921.fc12.x86_64
NetworkManager-pptp-0.7.997-3.git20100120.fc12.x86_64
NetworkManager-glib-0.8.0-6.git20100408.fc12.x86_64
NetworkManager-gnome-0.8.0-6.git20100408.fc12.x86_64
NetworkManager-0.8.0-6.git20100408.fc12.x86_64
NetworkManager-openvpn-0.7.996-4.git20090923.fc12.x86_64



The USB device still doesn't work and ABRT reported this...

BUG: sleeping function called from invalid context at kernel/mutex.c:94
in_atomic(): 1, irqs_disabled(): 1, pid: 0, name: swapper
Pid: 0, comm: swapper Not tainted 2.6.32.11-99.fc12.x86_64 #1
Call Trace:
<IRQ>  [<ffffffff81045d45>] __might_sleep+0xed/0xef
[<ffffffff81455550>] mutex_lock+0x24/0x50
[<ffffffff81045b57>] ? __wake_up+0x44/0x4d
[<ffffffff812afd5b>] tty_throttle+0x1b/0x49
[<ffffffff812af695>] n_tty_receive_buf+0xdbb/0xe12
[<ffffffff8103dec3>] ? enqueue_task+0x5c/0x67
[<ffffffff812b1c6f>] ? tty_buffer_request_room+0xd7/0x157
[<ffffffff812b1c6f>] ? tty_buffer_request_room+0xd7/0x157
[<ffffffff8110e195>] ? __kmalloc+0x14c/0x15e
[<ffffffff8110b7ef>] ? virt_to_head_page+0xe/0x2f
[<ffffffff813ab53d>] ? skb_clone+0x47/0x61
[<ffffffff812b18cd>] flush_to_ldisc+0xf8/0x18d
[<ffffffff812b19b2>] tty_flip_buffer_push+0x50/0x61
[<ffffffffa031bcd5>] put_rxbuf_data+0xea/0x124 [hso]
[<ffffffffa031bd97>] put_rxbuf_data_and_resubmit_bulk_urb+0x21/0x6b [hso]
[<ffffffffa031c0b1>] hso_std_serial_read_bulk_callback+0x14d/0x15f [hso]
[<ffffffff8132f473>] ? dma_unmap_single_attrs.clone.0+0x38/0x3a
[<ffffffff8132f5f0>] usb_hcd_giveback_urb+0x91/0xc5
[<ffffffff81341e30>] ehci_urb_done+0x7b/0x90
[<ffffffff813421ad>] qh_completions+0x368/0x4b9
[<ffffffff813445d8>] ehci_work+0x95/0x732
[<ffffffff8107f3c9>] ? clockevents_program_event+0x7a/0x83
[<ffffffff81080515>] ? tick_dev_program_event+0x3c/0xaa
[<ffffffff81346566>] ehci_irq+0x2be/0x420
[<ffffffff8102f051>] ? hpet_legacy_next_event+0x10/0x12
[<ffffffff8107f3c9>] ? clockevents_program_event+0x7a/0x83
[<ffffffff810778ae>] ? hrtimer_get_next_event+0xa7/0xc3
[<ffffffff8132eec2>] usb_hcd_irq+0x3f/0x7b
[<ffffffff810ace7d>] handle_IRQ_event+0x60/0x121
[<ffffffff8107956e>] ? sched_clock_tick+0x78/0x7d
[<ffffffff810aecaa>] handle_fasteoi_irq+0x8b/0xc7
[<ffffffff81014625>] handle_irq+0x8b/0x96
[<ffffffff8145a394>] do_IRQ+0x5c/0xbc
[<ffffffff81012693>] ret_from_intr+0x0/0x11
<EOI>  [<ffffffff812953a4>] ? acpi_idle_enter_simple+0x117/0x14b
[<ffffffff8129539d>] ? acpi_idle_enter_simple+0x110/0x14b
[<ffffffff81388e1a>] ? cpuidle_idle_call+0x99/0xf3
[<ffffffff81010cdd>] ? cpu_idle+0xaa/0xe4
[<ffffffff8144e0ed>] ? start_secondary+0x1f2/0x233
Comment 12 Chris 2010-05-11 16:10:13 EDT
Sorry, I did obviously reinstall the RPMs after removing them.
Comment 13 Fedora Update System 2010-06-10 15:08:47 EDT
ModemManager-0.3-13.git20100507.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-06-10 15:22:08 EDT
ModemManager-0.3-13.git20100507.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.